Rated 5 out of 5 stars

Needed for FF 3.5!!

This review is for a previous version of the add-on (1.4.2).